| Home >> All >> org >> apache >> webapp |
| | org.apache.webapp.admin.* (150) | | org.apache.webapp.balancer.* (14) |
Package Samples:
org.apache.webapp.balancer.rules: This package contains all classes used by the balancer webapp other than actual rule implementations.
org.apache.webapp.admin.connector
org.apache.webapp.admin.context
org.apache.webapp.admin.filters
org.apache.webapp.admin.host
org.apache.webapp.admin.realm
org.apache.webapp.admin.resources
org.apache.webapp.admin.server
org.apache.webapp.admin.service
org.apache.webapp.admin.users
org.apache.webapp.admin.valve
org.apache.webapp.admin
org.apache.webapp.balancer
Classes:
TreeControlTag: JSP custom tag that renders a tree control represented by the TreeControl and TreeControlNode classes. This tag has the following user-settable attributes: action - Hyperlink to which expand/contract actions should be sent, with a string " {name} marking where the node name of the affected node should be included. images - Name of the directory containing the images for our icons, relative to the page including this tag. If not specified, defaults to "images". scope - Attribute scope in which the tree attribute is to be found (page, request, session, application). If not specified, the attribute ...
SetCharacterEncodingFilter: Example filter that sets the character encoding to be used in parsing the incoming request, either unconditionally or only if the client did not specify a character encoding. Configuration of this filter is based on the following initialization parameters: encoding - The character encoding to be configured for this request, either conditionally or unconditionally based on the ignore initialization parameter. This parameter is required, so there is no default. ignore - If set to "true", any character encoding specified by the client is ignored, and the value returned by the selectEncoding() method ...
ActionsTag: JSP custom tag that renders an "instant actions" control. To the user, it appears as an HTML <select> element (i.e. a combo box), with the behavior of selecting a new page for the current frame or window when a different option is selected, without requiring a submit action. This tag has the following user-settable attributes: size - (Integer) number of rows that will be visible to the user. If not specified, one row will be visible. style - The CSS style class to be applied to the entire rendered output of the instant actions control, if any. FIXME - Internationalize the exception messa ...
ActionTag: Nested tag that represents an individual "instant action". This tag is valid only when nested within an ActoinsTag tag. This tag has the following user-settable attributes: selected - Set to true if this action should be selected when the control is initially displayed. url - URL to which control should be transferred (in the current frame or window) if this action is selected. In addition, the body content of this tag is used as the user-visible label for the action, so that it may be conveniently localized. FIXME - Internationalize the exception messages!
TableTag: JSP custom tag that renders an "instant table" control. To the user, it appears as an HTML <table> element This tag has the following user-settable attributes: columns - (Integer) number of columns in the table. If not specified, one two columns will be created. table-class - The CSS style class to be applied to the entire rendered output of the entire table, if any. header-row-class - The CSS style class to be applied to the entire rendered output of the table header-row, if any. FIXME - Internationalize the exception messages!
RowTag: Nested tag that represents an individual "instant table". This tag is valid only when nested within an TableTag tag. This tag has the following user-settable attributes: header - Is this a header row? label - label to be displayed. data - data of the table data element. labelStyle - Style to be applied to the label table data element. dataStyle - Style to be applied to the data table data element.
ListGroupsAction: Retrieve the set of MBean names for all currently defined groups, and expose them in a request attribute named "groupsForm". This action requires the following request parameters to be set: databaseName - Object name of the UserDatabase MBean from which we should retrieve the groups list. forward - Global forward to which we should go after stashing the groups list.
ListRolesAction: Retrieve the set of MBean names for all currently defined roles, and expose them in a request attribute named "rolesForm". This action requires the following request parameters to be set: databaseName - Object name of the UserDatabase MBean from which we should retrieve the roles list. forward - Global forward to which we should go after stashing the roles list.
ListUsersAction: Retrieve the set of MBean names for all currently defined users, and expose them in a request attribute named "usersForm". This action requires the following request parameters to be set: databaseName - Object name of the UserDatabase MBean from which we should retrieve the users list. forward - Global forward to which we should go after stashing the users list.
LabelTag: Nested tag that represents an individual "labels" for a row. This tag is valid only when nested within a RowTag tag. In addition, the body content of this tag is used as the user-visible label for the action, so that it may be conveniently localized. FIXME - Internationalize the exception messages!
DataTag: Nested tag that represents an individual "data" for a row. This tag is valid only when nested within a RowTag tag. In addition, the body content of this tag is used as the user-visible data for the action, so that it may be conveniently localized. FIXME - Internationalize the exception messages!
ListEnvEntriesAction: Retrieve the set of MBean names for all currently defined environment entries, and expose them in a request attribute named "enventriesForm". This action requires the following request parameters to be set: forward - Global forward to which we should go after stashing the env entries list.
ListResourceLinksAction: Retrieve the set of MBean names for all currently defined resource links, and expose them in a request attribute named "resourceLinksForm". This action requires the following request parameters to be set: forward - Global forward to which we should go after stashing the resourceLinks list.
ListUserDatabasesAction: Retrieve the set of MBean names for all currently defined environment entries, and expose them in a request attribute named "enventriesForm". This action requires the following request parameters to be set: forward - Global forward to which we should go after stashing the env entries list.
ListMailSessionsAction: Retrieve the set of MBean names for all currently defined mail sessions, and expose them in a request attribute named "mailSessionsForm". This action requires the following request parameters to be set: forward - Global forward to which we should go after stashing the mailSessions list.
ListDataSourcesAction: Retrieve the set of MBean names for all currently defined data sources, and expose them in a request attribute named "dataSourcesForm". This action requires the following request parameters to be set: forward - Global forward to which we should go after stashing the dataSources list.
SetUpResourceLinkAction: Implementation of Action that sets up and stashes a ResourceLinkForm bean in request scope. The form bean will have a null objectName property if this form represents a ResourceLink being added, or a non-null value for an existing ResourceLink.
SetUpUserDatabaseAction: Implementation of Action that sets up and stashes a UserDatabaseForm bean in request scope. The form bean will have a null objectName property if this form represents a UserDatabase being added, or a non-null value for an existing UserDatabase.
SetUpMailSessionAction: Implementation of Action that sets up and stashes a MailSessionForm bean in request scope. The form bean will have a null objectName property if this form represents a MailSession being added, or a non-null value for an existing MailSession.
SetUpDataSourceAction: Implementation of Action that sets up and stashes a DataSourceForm bean in request scope. The form bean will have a null objectName property if this form represents a DataSource being added, or a non-null value for an existing DataSource.
SetUpEnvEntryAction: Implementation of Action that sets up and stashes a EnvEntryForm bean in request scope. The form bean will have a null objectName property if this form represents a EnvEntry being added, or a non-null value for an existing EnvEntry.
SetUpGroupAction: Implementation of Action that sets up and stashes a GroupForm bean in request scope. The form bean will have a null objectName property if this form represents a group being added, or a non-null value for an existing group.
SetUpRoleAction: Implementation of Action that sets up and stashes a RoleForm bean in request scope. The form bean will have a null objectName property if this form represents a role being added, or a non-null value for an existing role.
SetUpUserAction: Implementation of Action that sets up and stashes a UserForm bean in request scope. The form bean will have a null objectName property if this form represents a user being added, or a non-null value for an existing user.
Lists: General purpose utility methods to create lists of objects that are commonly required in building the user interface. In all cases, if there are no matching elements, a zero-length list (rather than null ) is returned.
| Home | Contact Us | Privacy Policy | Terms of Service |